Package picard.illumina.parser.readers

# Class PosFileReader

java.lang.Object
picard.illumina.parser.readers.AbstractIlluminaPositionFileReader
picard.illumina.parser.readers.PosFileReader

All Implemented Interfaces:
  `htsjdk.samtools.util.CloseableIterator<AbstractIlluminaPositionFileReader.PositionInfo>`, `Closeable`, `AutoCloseable`, `Iterator<AbstractIlluminaPositionFileReader.PositionInfo>`

public class PosFileReader extends AbstractIlluminaPositionFileReader
The pos file format is one 3 Illumina formats(pos, locs, and clocs) that stores position data exclusively. pos files store position data for successive clusters in tabbed delimited coordinated pairs, 1 per file row e.g.: xPos1\tyPos1 xPos2\tyPos2 102.0\t303.3 ... xPosn-1\yPosn-1 xPosn\yPosn Where n = the total number of clusters (and therefore lines) in the file.

## Nested Class Summary

## Nested classes/interfaces inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

`AbstractIlluminaPositionFileReader.PositionInfo`

## Field Summary

### Fields inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

`MAX_POS, MIN_POS, S_LOCS_FILE`

## Constructor Summary

Constructors
Constructor
Description
`PosFileReader(File posFile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasNext()`
Return true if the file has more elements to return, false otherwise
`protected String`
`makeExceptionMsg()`
Create a string that will be included in any NoSuchElementException thrown by the next() method
`protected AbstractIlluminaPositionFileReader.PositionInfo`
`unsafeNextInfo()`
Read a line of text and parse it into two float values, create a PositionInfo and return it

### Methods inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

`getFile, getLane, getTile, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

`stream, toList`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### PosFileReader

public PosFileReader(File posFile)

## Method Details

### unsafeNextInfo

protected AbstractIlluminaPositionFileReader.PositionInfo unsafeNextInfo()
Read a line of text and parse it into two float values, create a PositionInfo and return it

Specified by:
  `unsafeNextInfo` in class `AbstractIlluminaPositionFileReader`

### makeExceptionMsg

protected String makeExceptionMsg()
Description copied from class: `AbstractIlluminaPositionFileReader`
Create a string that will be included in any NoSuchElementException thrown by the next() method

Specified by:
  `makeExceptionMsg` in class `AbstractIlluminaPositionFileReader`

### hasNext

public boolean hasNext()
Description copied from class: `AbstractIlluminaPositionFileReader`
Return true if the file has more elements to return, false otherwise

Specified by:
  `hasNext` in interface `Iterator<AbstractIlluminaPositionFileReader.PositionInfo>`
Specified by:
  `hasNext` in class `AbstractIlluminaPositionFileReader`

### close

public void close()